Complexity:
Subject: Check validator options and make them self-documenting
Description

Validators currently can invent any option on the fly, have to check them manually and they cannot be extracted for documentation
automatically.

This should be changed.

Associated revisions
Revision d374b12f - 2012-11-08 16:12 - Karsten Dambekalns

[!!!][FEATURE] Check validator options and make them self-documenting

Validators now must declare any options they accept using the class
property $supportedOptions. It is indexed by option name and
holds an array for each option giving the default value,
a description, type and an optional required flag.

This is used to check accepted options and to generate option
documentation for the validator reference documentation.

Change-Id: I2b32130840892417214cf50cad772190fc2576c0
Resolves: #37820
Releases: 1.2

History
#1 - 2012-06-07 17:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#2 - 2012-06-07 21:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#3 - 2012-06-08 16:15 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#4 - 2012-06-15 23:34 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#5 - 2012-06-18 12:03 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#6 - 2012-07-18 17:52 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#7 - 2012-11-08 16:13 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11865

#8 - 2012-11-08 21:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d374b12f2e7d13142ffc3ea9078ff3ba50ca7758.
